This is the audit log resource.
- Coro public API
- Coro API reference
- Retrieve the module and add-on details of specific bundles
Coro Cybersecurity Public API (v1)
This is the Coro Cybersecurity platform API specification reference.
This section provides a complete reference listing for the Coro Cybersecurity REST API resource model.
This reference lists all the resources available through the Coro REST API.
Each section relates to a specific resource and provides its name, description, unique URI path, and the list of operations you can perform on it.
For each operation, you can find:
- A complete description of the action
- Request parameters
- A list of potential responses
- Security (authentication) requirements
The portal also provides code samples and examples for making requests in a number of programming languages, together with samples of the possible response bodies.
In addition to this, Coro provides a Try It feature where you can interact with the API directly through the portal. To use Try It, you'll need to first obtain Client ID and Secret credentials; for more information, see Authentication.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/subscriptions
- Coro US API server target URLhttps://api.secure.coro.net/v1/subscriptions
- cURL
- JavaScript
- Node.js
curl -i -X GET \
https://docs.coro.net/_mock/api/api-docs/v1/subscriptions \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "modules": { "cloudSecurity": { … }, "endpointSecurity": { … }, "emailSecurity": { … }, "userDataGovernance": { … }, "endpointDataGovernance": { … }, "edr": { … }, "network": { … }, "securedWebGateway": { … }, "mdm": { … }, "securityAwareness": { … } }, "bundles": [ "endpointProtection" ] }
Request
Update the subscription of a specific workspace. Modifying your subscription alters your billing amount. Required modules and add-ons must be enabled. To get the details of which modules and add-ons must be enabled for different bundles offered by Coro, use the POST request to the /subscription endpoint.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/subscriptions
- Coro US API server target URLhttps://api.secure.coro.net/v1/subscriptions
- cURL
- JavaScript
- Node.js
curl -i -X PUT \
https://docs.coro.net/_mock/api/api-docs/v1/subscriptions \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u' \
-d '{
"modules": {
"cloudSecurity": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"endpointSecurity": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"emailSecurity": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"userDataGovernance": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"endpointDataGovernance": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"edr": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"network": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"securedWebGateway": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"mdm": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
},
"securityAwareness": {
"enabled": true,
"addons": [
{
"name": "inboundGateway",
"enabled": true
}
]
}
},
"bundles": [
"endpointProtection"
]
}'"100 CONTINUE"
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/subscriptions/stop
- Coro US API server target URLhttps://api.secure.coro.net/v1/subscriptions/stop
- cURL
- JavaScript
- Node.js
curl -i -X PUT \
https://docs.coro.net/_mock/api/api-docs/v1/subscriptions/stop \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'"100 CONTINUE"
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/subscriptions/start
- Coro US API server target URLhttps://api.secure.coro.net/v1/subscriptions/start
- cURL
- JavaScript
- Node.js
curl -i -X PUT \
https://docs.coro.net/_mock/api/api-docs/v1/subscriptions/start \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'"100 CONTINUE"
Request
Retrieve the details of modules and add-ons included in specific bundles offered by Coro. These details can be used to update your subscription with the PUT request to the /subscription endpoint. Modifying your subscription alters your billing amount.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/subscriptions/bundleInfo
- Coro US API server target URLhttps://api.secure.coro.net/v1/subscriptions/bundleInfo
- cURL
- JavaScript
- Node.js
curl -i -X POST \
https://docs.coro.net/_mock/api/api-docs/v1/subscriptions/bundleInfo \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u' \
-d '{
"bundles": [
"ENDPOINT_PROTECTION"
]
}'{ "modules": { "cloudSecurity": { … }, "endpointSecurity": { … }, "emailSecurity": { … }, "userDataGovernance": { … }, "endpointDataGovernance": { … }, "edr": { … }, "network": { … }, "securedWebGateway": { … }, "mdm": { … }, "securityAwareness": { … } }, "bundles": [ "endpointProtection" ] }